Page MenuHomePhabricator

Track remaining trusty servers in production
Closed, ResolvedPublic

Description

Tracking task for the current quarterly goal to remove all remaining trusty instances from production:

  • dbstore1002.eqiad.wmnet T210478
  • Cloud VPS nova-network support hosts (T167293)
    • labcontrol1001.wikimedia.org (T221817)
    • labcontrol1002.wikimedia.org (T221817)
    • labnet1001.eqiad.wmnet (T221818)
    • labnet1002.eqiad.wmnet (T221818)
    • labservices1001.wikimedia.org (T221857)
    • labservices1002.wikimedia.org (T221857)
  • labstore1003.eqiad.wmnet (T187456)
  • CloudVPS codfw deployments (T217891)
    • labtestcontrol2001.wikimedia.org
    • labtestnet2002.codfw.wmnet
    • labtestnet2003.codfw.wmnet
    • labtestservices2001.wikimedia.org
    • labtestvirt2001.codfw.wmnet
    • labtestvirt2002.codfw.wmnet
  • Cloud Services virt hosts (T216195)
    • labvirt1001.eqiad.wmnet
    • labvirt1002.eqiad.wmnet
    • labvirt1003.eqiad.wmnet
    • labvirt1004.eqiad.wmnet
    • labvirt1005.eqiad.wmnet
    • labvirt1006.eqiad.wmnet
    • labvirt1007.eqiad.wmnet -- awaiting a drive replacement T221047
    • labvirt1008.eqiad.wmnet
    • labvirt1009.eqiad.wmnet
    • labvirt1012.eqiad.wmnet
  • sca2003.codfw.wmnet
  • sca2004.codfw.wmnet
  • sca1003.eqiad.wmnet
  • sca1004.eqiad.wmnet

Details

Related Gerrit Patches:
operations/puppet : productionsca: Remove the cluster
operations/puppet : productionsca: Remove the cluster from conftool

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2019, 11:12 AM
herron triaged this task as Medium priority.Jan 2 2019, 5:34 PM

Change 482809 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] sca: Remove the cluster from conftool

https://gerrit.wikimedia.org/r/482809

Change 483103 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] sca: Remove the cluster

https://gerrit.wikimedia.org/r/483103

Change 482809 merged by Alexandros Kosiaris:
[operations/puppet@production] sca: Remove the cluster from conftool

https://gerrit.wikimedia.org/r/482809

Change 483103 merged by Alexandros Kosiaris:
[operations/puppet@production] sca: Remove the cluster

https://gerrit.wikimedia.org/r/483103

Andrew updated the task description. (Show Details)Mar 26 2019, 7:48 PM
bd808 updated the task description. (Show Details)
bd808 moved this task from Inbox to Epics on the cloud-services-team (Kanban) board.
aborrero updated the task description. (Show Details)Mar 27 2019, 10:03 AM
Dzahn added a subscriber: Dzahn.Apr 11 2019, 8:15 PM
aborrero updated the task description. (Show Details)Apr 12 2019, 10:47 AM
Andrew updated the task description. (Show Details)Apr 20 2019, 2:48 PM
Andrew updated the task description. (Show Details)
Andrew updated the task description. (Show Details)Apr 26 2019, 12:43 PM
aborrero updated the task description. (Show Details)Apr 26 2019, 12:51 PM
aborrero updated the task description. (Show Details)
Andrew updated the task description. (Show Details)Apr 27 2019, 11:41 PM
Andrew updated the task description. (Show Details)May 6 2019, 2:37 PM
chasemp updated the task description. (Show Details)May 6 2019, 10:10 PM
chasemp added a subscriber: chasemp.
Dzahn awarded a token.May 6 2019, 10:34 PM
Bstorm updated the task description. (Show Details)May 31 2019, 9:13 PM
MoritzMuehlenhoff closed this task as Resolved.Jul 4 2019, 11:55 AM
MoritzMuehlenhoff claimed this task.

This is all complete with the decom of labstore1003

ema updated the task description. (Show Details)Jul 4 2019, 11:57 AM